<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPODETAILEditViewBase from './empodetailedit-view-base.vue';

import view_form from '@widgets/empodetail/main-form/main-form.vue';

/**
 * 订单条目编辑视图
 *
 * @export
 * @class EMPODETAILEditView
 * @extends {EMPODETAILEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPODETAILEditView extends EMPODETAILEditViewBase { }
</script>